Bug 110272 - Mouse broken in Xnest
Mouse broken in Xnest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-17 14:31 EST by P Jones
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 02:28:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config (3.13 KB, text/plain)
2003-11-17 17:34 EST, P Jones
no flags Details
gdm.conf, edited only from the gui (gdmconfig) (17.66 KB, text/plain)
2003-11-17 17:38 EST, P Jones
no flags Details

  None (edit)
Description P Jones 2003-11-17 14:31:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.4.1)
Gecko/20031030

Description of problem:
I set up gdm to accept xdmcp requests and started XNest as this "Xnest
:3 -query 127.0.0.1".
When it came up, it came up properly, but the mouse wouldn't work (it
did not adversly affect the :0 server's mouse, only :3)... I would
click on things, and they not get focus and the buttons wouldn't get
the event.



Version-Release number of selected component (if applicable):
XFree86-Xnest-4.3.0-42

How reproducible:
Always

Steps to Reproduce:
1. install XNest
2. run gdmconfig and turn on XDMCP
3. run XNest
    

Additional info:
Comment 1 Mike A. Harris 2003-11-17 15:27:46 EST
Fedora Core 1 isn't available for ia64, so I'm not sure how you
are using it on ia64.  However, if you have built your own ISO
images from rawhide, or rebuilt it, that isn't Fedora Core.

Your bug report does not contain enough detailed information to
be able to do anything about the problem.  This could very well
just be a configuration problem of some kind on your end.

You need to provide completely detailed information with exact 100%
configuration of everything, what _specific_ application is being
used, etc. for me to even be able to make an assessment or advise
what to do next.
Comment 2 P Jones 2003-11-17 16:37:49 EST
Er, don't know how I selected ia64. Sorry about that.

The problem begins on the GDM login screen, and if you login in, Gnome
panal launchers have the problem too.

On futher investigation, it looks like it might be some sort of off by
one bug in an event queue somewhere.  When I click on the desktop, it
*seems* as if the previous click is just then delivered, but when I
double click on something, like a Gnome-Term's title bar, it sometimes
get's "Trapped" there and where ever I click, it goes to that title
bar  ( and I can't seem to be able to drag the window anywhere).

Just for S&G, I ran Xvnc -query localhost, and it acted normal"
Comment 3 P Jones 2003-11-17 17:34:55 EST
Created attachment 96031 [details]
XF86Config
Comment 4 P Jones 2003-11-17 17:38:22 EST
Created attachment 96032 [details]
gdm.conf, edited only from the gui (gdmconfig)
Comment 5 Mike A. Harris 2004-10-12 02:28:50 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.